#ifdef GL_ES
precision mediump float;
#endif
uniform sampler2D   u_tex0;
uniform float		u_shine;
varying vec2        v_texture;
varying vec4	    v_col;
void main()
	{
	vec4 colA = (texture2D(u_tex0, v_texture) * v_col.a);
	vec3 colB = vec3(colA.a * 0.75, colA.a, colA.a * 0.75);
	gl_FragColor = vec4(mix(colA.rgb, colB, u_shine), colA.a);
	}
